Bug 524435 - KMS:R100:Radeon 7500 not working (Latitude C640)
Summary: KMS:R100:Radeon 7500 not working (Latitude C640)
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 19
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Dave Airlie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-20 07:24 UTC by Eric Moret
Modified: 2013-04-23 17:26 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-23 17:26:04 UTC


Attachments (Terms of Use)
Xorg.0.log with drm.debug=1 (42.66 KB, text/plain)
2009-09-20 07:24 UTC, Eric Moret
no flags Details
/var/log/dmesg with drm.debug=1 (38.88 KB, text/plain)
2009-09-20 07:25 UTC, Eric Moret
no flags Details
/var/log/message with drm.debug=1 (51.94 KB, application/octet-stream)
2009-09-20 07:26 UTC, Eric Moret
no flags Details
Xorg.0.log working with nomodeset (41.72 KB, application/octet-stream)
2009-09-20 07:26 UTC, Eric Moret
no flags Details
dmesg with kernel-PAE-2.6.31.1-56.fc12.i686 (53.55 KB, application/octet-stream)
2009-10-14 14:54 UTC, Eric Moret
no flags Details
dmesg with kms (37.09 KB, application/octet-stream)
2009-10-14 15:41 UTC, Eric Moret
no flags Details

Description Eric Moret 2009-09-20 07:24:47 UTC
Created attachment 361806 [details]
Xorg.0.log with drm.debug=1

Description of problem:
Upon booting the kernel, screen slowly blanks from black to white starting from the edges over a 10s interval. Display never recovers until the following reboot.

Version-Release number of selected component (if applicable):
kernel-2.6.31-14.fc12.i686

How reproducible:
Always


Steps to Reproduce:
1.Boot computer
  
Actual results:
Screen blanks from black to white starting from the edges over a 10s interval. 

Additional info:
I took all drm.debug=1 log files out of my F11 installation because the system runnning the livecd did not allow me to extract data out.

Comment 1 Eric Moret 2009-09-20 07:25:28 UTC
Created attachment 361807 [details]
/var/log/dmesg with drm.debug=1

Comment 2 Eric Moret 2009-09-20 07:26:02 UTC
Created attachment 361808 [details]
/var/log/message with drm.debug=1

Comment 3 Eric Moret 2009-09-20 07:26:55 UTC
Created attachment 361809 [details]
Xorg.0.log working with nomodeset

Comment 4 Chuck Ebbert 2009-09-27 11:02:48 UTC
Please try with kernel 2.6.31.1-48 or later and report back whether it's still broken.

Comment 5 Eric Moret 2009-09-29 03:45:13 UTC
Yes, still broken. I tried with kernel-PAE-2.6.31.1-48.fc12.i686

Comment 6 Jérôme Glisse 2009-10-14 10:48:43 UTC
Please provide full dmesg of 2.6.31.1-48 or newer.

Comment 7 Eric Moret 2009-10-14 14:54:37 UTC
Created attachment 364759 [details]
dmesg with kernel-PAE-2.6.31.1-56.fc12.i686

Comment 8 Jérôme Glisse 2009-10-14 15:05:24 UTC
You were using the nomodeset option, i am interested in a dmesg of failing kernel modesetting, if you can ssh into the computer it should be easy, otherwise boot with KMS enabled and on next boot with KMS disabled and attach /var/log/messages which should have the messages of the failing KMS boot.

Comment 9 Eric Moret 2009-10-14 15:41:48 UTC
Created attachment 364769 [details]
dmesg with kms

uhh, something new here. Eventhough kms enabled booting is still broken, blank screen (same symptom as before), when gdm starts the display is correctly initialized and I can logon.

Comment 10 Jérôme Glisse 2009-10-15 14:24:59 UTC
According to log everythings is fine, maybe a plymouth issue. Can you switch to a VT (ctrl-alt-f2 for instance) and report if console works properly ?

Comment 11 Eric Moret 2009-10-16 03:24:55 UTC
Logs don´t tell the story then. How can we narrow down the issue to plymouth?

Eventhough I see a blinking cursor on each VT, I cannot get a login prompt. FWIW when rebooting I actually see proper output for services going down.

Comment 12 Bug Zapper 2009-11-16 12:40:13 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 13 Eric Moret 2010-09-28 00:22:59 UTC
Looking back at this issue, I am now running Rawhide F15 and although I do not see the blank screen anymore, KMS is still not enabled by default. Is there a grub parameter I should flip or some other config I need to alter to get this working?

My grub looks like this:

title Fedora (2.6.36-0.26.rc5.git4.fc15.i686.PAE)
        root (hd0,5)
        kernel /vmlinuz-2.6.36-0.26.rc5.git4.fc15.i686.PAE ro root=/dev/mapper/vg_rawhizmo-lv_root rd_LVM_LV=vg_rawhizmo/lv_root rd_LVM_LV=vg_fizmo/lv_swap rd_NO_LUKS rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=us-acentos rhgb quiet selinux=0 enforcing=0
        initrd /initramfs-2.6.36-0.26.rc5.git4.fc15.i686.PAE.img

Comment 14 Dave Airlie 2011-03-21 03:44:24 UTC
wierd if kms isn't enabled its usually due to the initrd being built wrong

maybe try with later kernel.

Comment 15 Fedora End Of Life 2013-04-03 19:58:35 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 16 Justin M. Forbes 2013-04-05 15:51:16 UTC
Is this still a problem with 3.9 based F19 kernels?

Comment 17 Justin M. Forbes 2013-04-23 17:26:04 UTC
This bug is being closed with INSUFFICIENT_DATA as there has not been a
response in 2 weeks.  If you are still experiencing this issue,
please reopen and attach the relevant data from the latest kernel you are
running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.